New to this, want to go from 3.0 ---> 3.4

So I’m using the new Syn3 Updater V2.0.0 and I love the design, however, I keep getting these two messages. I went specifically to staples to buy a new 32GB USB drive for my 18 Mustang with sync 3.0. Please help because I really am missing out on these 3.4 updates! Thanks so much, will be looking at all replies!
Here are the two error messages, I immediately took photos and also an error that states “Unable to read data from the transport connection: An existing connection was forcibly closed by the remote host. An existing connection was forcibly closed by the remote host”

Personally i would change the download path, you are directely downloading to the desktop.

good shout, in theory it should be fine but not ideal

The screenshot is likely your security software scanning the file when i (Syn3 Updater) is trying to process the file, disabling it is the only solution really.

The second is a bad internet connection, not much that we can do about that, the files wont resume but any files already completely downloaded won’t be redownloaded